<p>Nuevo Articulo</p>
<br>

<form [formGroup]="articuleForm">
  <mat-form-field>
    <input type="text" matInput placeholder="Còdigo barra" formControlName="barCode">
    <mat-error *ngIf="articuleForm.get('barCode')?.hasError('required')">Ingrese codigo de barra</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input type="text" matInput placeholder="Descripción" formControlName="description">
    <mat-error *ngIf="articuleForm.get('description')?.hasError('required')">Ingrese descripción</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Proveedor</mat-label>
    <mat-select disableOptionCentering formControlName="proveedor">
      <mat-option *ngFor="let proveedor of lstproveedores" [value]="proveedor.id">
        {{proveedor.nombre}}
      </mat-option>
    </mat-select>
    <mat-error *ngIf="articuleForm.get('proveedor')?.hasError('required')">Proveedor es requerido</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input type="text" matInput placeholder="Marca" formControlName="marca">
    <mat-error *ngIf="articuleForm.get('marca')?.hasError('required')">Ingrese Marca</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <mat-label>Departamento</mat-label>
    <mat-select disableOptionCentering formControlName="departamento">
      <mat-option *ngFor="let departamento of lstdepartamento" [value]="departamento.id">
        {{departamento.nombre}}
      </mat-option>
    </mat-select>
    <mat-error *ngIf="articuleForm.get('departamento')?.hasError('required')">Departamento es requerido</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input type="number" matInput placeholder="Peso KG" formControlName="pesoKg">
    <mat-error *ngIf="articuleForm.get('pesoKg')?.hasError('required')">Peso Kg es requerido</mat-error>
  </mat-form-field>

  <br>
  <mat-form-field>
    <input type="number" matInput placeholder="Stock" formControlName="stock">
    <mat-error *ngIf="articuleForm.get('stock')?.hasError('required')">Stock</mat-error>
  </mat-form-field>

  <mat-form-field>
    <input type="number" matInput placeholder="Costo sin IVA" formControlName="costoSI">
    <mat-error *ngIf="articuleForm.get('costoSI')?.hasError('required')">Costo sin IVA es requerido</mat-error>
  </mat-form-field>
  <br>
  <mat-form-field>
    <input type="number" matInput placeholder="Costo con IVA" formControlName="costoCI">
    <mat-error *ngIf="articuleForm.get('costoCI')?.hasError('required')">Costo con IVA es requerido</mat-error>
  </mat-form-field>


  <mat-form-field>
    <input type="number" matInput placeholder="% Maren Venta" formControlName="margenVenta">
    <mat-error *ngIf="articuleForm.get('margenVenta')?.hasError('required')">Margen de venta es requerido</mat-error>
  </mat-form-field>
  <mat-slider thumbLabel [displayWith]="formatLabel" tickInterval="1" min="0" max="100" (input)="onSlider($event)"></mat-slider>

  <br>
  <mat-form-field>
    <input type="number" matInput placeholder="Precio venta" formControlName="precioVenta">
    <mat-error *ngIf="articuleForm.get('precioVenta')?.hasError('required')">Precio de venta es requerido</mat-error>
  </mat-form-field>


    <mat-checkbox formControlName="estado">Activo</mat-checkbox>
    <mat-error *ngIf="articuleForm.get('precioVenta')?.hasError('required')">Precio de venta es requerido</mat-error>
    <br>

    <button mat-stroked-button color="primary" class="btn-block" (click)="returnBack()">Volver</button>
    <button mat-stroked-button color="primary" class="btn-block" >Guardar</button>
</form>